# Mobius Repos Manager

A Python script for managing multiple Git repositories. The script can switch repositories to the develop branch, pull the latest changes, and create new branches from develop.

## Features

- Switch multiple repositories to develop branch
- Pull latest changes from remote
- Create new branches from develop branch
- Colored terminal output
- Configuration via text file

## Requirements

- Python 3.6+
- Git installed and configured
- Access to repositories listed in `repos.txt`

## Installation

1. Clone the repository:
```bash
git clone <repository-url>
cd mobius-repos-manager

## Installation

1. Clone the repository:
```bash
git clone <repository-url>
cd mobius-repos-manager

Install required packages:
pip install pytest

## Configuration

Create a repos.txt file in the script directory with repository paths, one per line:

/path/to/repo1
/path/to/repo2
/path/to/repo3

## Usage

Switch to Develop and Pull

To switch all repositories to develop branch and pull latest changes:

python mobius_repos.py

## Create New Branch

To create a new branch from develop in all repositories:

python mobius_repos.py -bc feature/TICKET-123-description

# Custom Config File

To use a different configuration file:

python mobius_repos.py -c custom_repos.txt

###Help

For help and available options:

python mobius_repos.py --help
